Roomability Guest API
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Paystack
Roomability Guest API
  • Introduction
  • Authentication
  • Responses
  • Roomability Guest API
    • PayGateway
      • Detail
    • CancelPolicy
      • Detail
    • Paystack
      • Verify
        GET
      • Initialize
        POST
    • Reservation
      • Add
      • Availability
      • Cancel
      • Booking Ref
    • Country
      • GetSelectList
    • RoomType
      • DetailList
      • Detail
    • Term
      • Detail
    • State
      • GetSelectList
    • Privacy
      • Detail
    • Guest
      • Detail
    • Payment Method
      • Active List
    • Hotel
      • Detail
      • Hotel Rule
    • GetHotel List
      GET
    • Contact Page
      POST
    • Search List
      GET
    • Countries
      GET
    • Phone Code List
      GET
  • Retails & Ecommece Guest Api
    • Products
    • Users
    • Carts
    • Orders
  • Loyality Endpoint Api
    • Doors
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. Paystack

Initialize

POST
https://guestapi.roomability.io/Paystack/Initialize
Last modified:2026-03-12 08:08:55

Retrieve Privacy Detail#

This endpoint retrieves the privacy policy of an hotel.

Request#

Method: GET
Endpoint: {{baseUrl}}/Privacy/Detail

Response#

The response for this request is a JSON object with the following schema:
{
  "type": "object",
  "properties": {
    "detail": {
      "type": "string"
    },
    "errorCode": {
      "type": "integer"
    },
    "errorMessage": {
      "type": "string"
    }
  }
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://guestapi.roomability.io/Paystack/Initialize' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "timothyojo@valinno.com",
    "amountinkobo": 200000,
    "currency": "NGN"
}'
Response Response Example
{
    "status": true,
    "message": "Authorization URL created",
    "data": {
        "authorization_Url": "https://checkout.paystack.com/kfx4ota680ptmpd",
        "access_Code": "kfx4ota680ptmpd",
        "reference": "sti58qbn3w"
    },
    "errorCode": 0,
    "errorMessage": "Access code retrieved successfully."
}
Modified at 2026-03-12 08:08:55
Previous
Verify
Next
Add
Built with